@import "../../assets/variables.scss";

.earth-progress-bar {
  width: 20%;
  background-color: #e7e2e291;
  border-radius: .25rem;
  margin: 10px;
  padding: 10px;
  position: fixed;
  right: 5%;
  z-index: 11;

  .progress-number {
    width: fit-content;
    margin-left: auto;
  }

  .progress {
    display: flex;
    height: 10px;
    overflow: hidden;
    font-size: .75rem;
    background-color: $secondary;
  }
  
  .progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: $primary;
    transition: width .6s ease;
  }
}

.bg-warning {
  background-color: #ffc107!important;
}

.bg-success {
  background-color: #198754!important;
}

.bg-danger {
  background-color: #dc3545!important;
}
